{% block extrahead %}
  <script src="https://cdn.plot.ly/plotly-cartesian-3.0.0.min.js"></script>
{% endblock extrahead %}

<!-- Full/Summary Filter -->
{% if "stations" not in request.path %}
  <div class="btn-group btn-group-sm me-2"
       role="group"
       aria-label="include channels detail">
    {% if "checks" in request.path %}
      <a href="{% url 'quality:check-overview' %}{% querystring %}"
         type="button"
         class="btn btn-outline-secondary {% if 'full' not in request.path %}active{% endif %}">summary</a>
      <a href="{% url 'quality:check-full-overview' %}{% querystring %}"
         type="button"
         class="btn btn-outline-secondary {% if 'full' in request.path %}active{% endif %}">full</a>
    {% else %}
      <a href="{% url 'quality:network-detail' object.pk %}{% querystring %}"
         type="button"
         class="btn btn-outline-secondary {% if 'full' not in request.path %}active{% endif %}">summary</a>
      <a href="{% url 'quality:network-full-detail' object.pk %}{% querystring %}"
         type="button"
         class="btn btn-outline-secondary {% if 'full' in request.path %}active{% endif %}">full</a>
    {% endif %}
  </div>
{% endif %}
<!-- Years Filter -->
<div class="btn-group btn-group-sm me-2"
     role="group"
     aria-label="available period">
  {% for year in years_available %}
    <a href="{{ request.path }}{% querystring year=year %}"
       type="button"
       class="btn btn-outline-secondary {% if request.GET.year == year|slugify %}active{% endif %}">{{ year }}</a>
  {% endfor %}
  <a href="{{ request.path }}{% querystring year=None %}"
     type="button"
     class="btn btn-outline-secondary {% if 'year' not in request.GET.keys %}active{% endif %}">last month</a>
</div>
<!-- Triggered/Monitored/All stations filter -->
{% if "stations" not in request.path %}
  <div class="btn-group btn-group-sm me-2"
       role="group"
       aria-label="triggered or continuous stations">
    <a href="{{ request.path }}{% querystring triggered=None %}"
       type="button"
       class="btn btn-outline-secondary {% if 'triggered' not in request.GET %}active{% endif %}">All</a>
    <a href="{{ request.path }}{% querystring triggered='false' %}"
       type="button"
       class="btn btn-outline-secondary {% if request.GET.triggered == 'false' or request.GET.triggered == 'False' %}active{% endif %}">Continous</a>
    <a href="{{ request.path }}{% querystring triggered='true' %}"
       type="button"
       class="btn btn-outline-secondary {% if request.GET.triggered == 'true' or request.GET.triggered == 'True' %}active{% endif %}">Triggered</a>
  </div>
{% endif %}
{% if figure %}
  {{ figure|safe }}
{% else %}
  <br>
  No data available
{% endif %}
